#!/bin/sh

#run times for each benchmark
counter=1
th=5

#=====================================================================================LOFT
#bodytrack
 for ((i=4;i<${th};i*=2)); do
  for ((j=0;j<${counter};j++)); do
  	echo "th=${i}, count=${j}"
	#pin -t ../MyPinTool.so ./result/bodytrack_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/pkgs/apps/bodytrack/inst/amd64-linux.gcc-pthreads/bin/bodytrack sequenceB_1 4 1 1000 5 0 ${i}
	time pin -t ../obj-ia32/CrossSampler.so -- /home/yancai/Research/Benchmarks/parsec/parsec-2.1/bin/../pkgs/apps/bodytrack/inst/i686-linux.gcc/bin/bodytrack ./parsec_input/sequenceB_4 4 4 4000 5 0 4
  done
 done

exit




#swaptions
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../MyPinTool.so ./result/swaptions_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/apps/swaptions/inst/amd64-linux.gcc-pthreads/bin/swaptions -ns 16 -sm 5000 -nt ${i}
  done
 done

#vips
# for ((i=2;i<$th;i*=2)); do
#  for ((j=0;j<$counter;j++)); do
#	echo "pin -t ../MyPinTool.so ./result/vips_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/apps/vips/inst/amd64-linux.gcc-pthreads/bin/vips im_benchmark pomegranate_1600x1200.v output.v"
#  done
# done

#facesim
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../MyPinTool.so ./result/facesim_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/apps/facesim/inst/amd64-linux.gcc/bin/facesim -threads ${i}
  done
 done
#blackscholes
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../MyPinTool.so ./result/blackscholes_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/apps/blackscholes/inst/amd64-linux.gcc/bin/blackscholes ${i} in_16.txt prices.txt
  done
 done
#x264
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../MyPinTool.so ./result/x264_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/apps/x264/inst/amd64-linux.gcc/bin/x264 --quiet --qp 20 --partitions b8x8,i4x4 --ref 5 --direct auto --b-pyramid --weightb --mixed-refs --no-fast-pskip --me umh --subme 7 --analyse b8x8,i4x4 --threads ${i} -o eledream.264 eledream_640x360_8.y4m
  done
 done
#streamcluster
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../MyPinTool.so ./result/streamcluster_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/kernels/streamcluster/inst/amd64-linux.gcc-pthreads/bin/streamcluster 10 20 32 4096 4096 1000 none output.txt ${i}
  done
 done
#canneal
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../MyPinTool.so ./result/canneal_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/kernels/canneal/inst/amd64-linux.gcc-pthreads/bin/canneal 4 10000 2000 100000.nets ${i}
  done
 done
#freqmine
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../MyPinTool.so ./result/freqmine_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/apps/freqmine/inst/amd64-linux.gcc/bin/freqmine T10I4D100K_1k.dat ${i}
  done
 done

#rtview
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../MyPinTool.so ./result/rtview_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/apps/raytrace/inst/amd64-linux.gcc-pthreads/bin/rtview happy_buddha.obj -nodisplay -automove -nthreads ${i} -frames 3 -res 480 270
  done
 done

#=====================================================================================LOFT

#bodytrack
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../../../MemTest_ft/obj-ia32/MyPinTool.so ../../../MemTest_ft/obj-ia32/parse_bench/result/bodytrack_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/pkgs/apps/bodytrack/inst/amd64-linux.gcc-pthreads/bin/bodytrack sequenceB_1 4 1 1000 5 0 ${i}
  done
 done

#swaptions
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../../../MemTest_ft/obj-ia32/MyPinTool.so ../../../MemTest_ft/obj-ia32/parse_bench/result/swaptions_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/apps/swaptions/inst/amd64-linux.gcc-pthreads/bin/swaptions -ns 16 -sm 5000 -nt ${i}
  done
 done

#vips
# for ((i=2;i<$th;i*=2)); do
#  for ((j=0;j<$counter;j++)); do
#	echo "pin -t ../../../MemTest_ft/obj-ia32/MyPinTool.so ../../../MemTest_ft/obj-ia32/parse_bench/result/vips_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/apps/vips/inst/amd64-linux.gcc-pthreads/bin/vips im_benchmark pomegranate_1600x1200.v output.v"
#  done
# done

#facesim
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../../../MemTest_ft/obj-ia32/MyPinTool.so ../../../MemTest_ft/obj-ia32/parse_bench/result/facesim_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/apps/facesim/inst/amd64-linux.gcc/bin/facesim -threads ${i}
  done
 done
#blackscholes
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../../../MemTest_ft/obj-ia32/MyPinTool.so ../../../MemTest_ft/obj-ia32/parse_bench/result/blackscholes_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/apps/blackscholes/inst/amd64-linux.gcc/bin/blackscholes ${i} in_16.txt prices.txt
  done
 done
#x264
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../../../MemTest_ft/obj-ia32/MyPinTool.so ../../../MemTest_ft/obj-ia32/parse_bench/result/x264_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/apps/x264/inst/amd64-linux.gcc/bin/x264 --quiet --qp 20 --partitions b8x8,i4x4 --ref 5 --direct auto --b-pyramid --weightb --mixed-refs --no-fast-pskip --me umh --subme 7 --analyse b8x8,i4x4 --threads ${i} -o eledream.264 eledream_640x360_8.y4m
  done
 done
#streamcluster
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../../../MemTest_ft/obj-ia32/MyPinTool.so ../../../MemTest_ft/obj-ia32/parse_bench/result/streamcluster_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/kernels/streamcluster/inst/amd64-linux.gcc-pthreads/bin/streamcluster 10 20 32 4096 4096 1000 none output.txt ${i}
  done
 done
#canneal
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../../../MemTest_ft/obj-ia32/MyPinTool.so ../../../MemTest_ft/obj-ia32/parse_bench/result/canneal_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/kernels/canneal/inst/amd64-linux.gcc-pthreads/bin/canneal 4 10000 2000 100000.nets ${i}
  done
 done
#freqmine
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../../../MemTest_ft/obj-ia32/MyPinTool.so ../../../MemTest_ft/obj-ia32/parse_bench/result/freqmine_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/apps/freqmine/inst/amd64-linux.gcc/bin/freqmine T10I4D100K_1k.dat ${i}
  done
 done

#rtview
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../../../MemTest_ft/obj-ia32/MyPinTool.so ../../../MemTest_ft/obj-ia32/parse_bench/result/rtview_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/apps/raytrace/inst/amd64-linux.gcc-pthreads/bin/rtview happy_buddha.obj -nodisplay -automove -nthreads ${i} -frames 3 -res 480 270
  done
 done
#======== deadlock ======================LOFT 
#dedup
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../MyPinTool.so ./result/dedup_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/kernels/dedup/inst/amd64-linux.gcc-pthreads/bin/dedup -c -p -f -t ${i} -i media.dat -o output.dat.ddp
  done
done
#======== deadlock ======================FT 
#dedup
 for ((i=2;i<$th;i*=2)); do
  for ((j=0;j<$counter;j++)); do
	pin -t ../../../MemTest_ft/obj-ia32/MyPinTool.so ../../../MemTest_ft/obj-ia32/parse_bench/result/dedup_${i}.log -- /home/caiyan/Research/sparsec_benchmark/parsec-2.1/bin/../pkgs/kernels/dedup/inst/amd64-linux.gcc-pthreads/bin/dedup -c -p -f -t ${i} -i media.dat -o output.dat.ddp
  done
 done
